{{page-title "Withdraw"}}
<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Withdraw</h3>
  </div>
  <form {{action "submitForm" on="submit"}}>
    <div class="alert alert-info" role="alert">
      Note: It may take some time for the amount to get reflected in your Wallet, depending on the provider.
    </div>
    <div class="alert alert-danger" role="alert">
      Note: Enter your wallet ID carefully, as this operation is non-reversible.
    </div>
    <div>
      <input type="text" class="form-control" name="txn_type" id="txn_type" aria-describedby="txn_type" value="withdraw" required readonly hidden>
      <div class="form-group">
        <label for="wallet">Enter Wallet ID</label>
        <input type="text" class="form-control" name="wallet" id="wallet" aria-describedby="wallet" placeholder="Enter Wallet ID">
      </div>

      <div class="form-group">
        <label for="txn_amt">Transaction Amount</label>
        <input type="number" class="form-control" name="txn_amt" id="txn_amt" aria-describedby="txn_amt" placeholder="Enter Amount" required min="10" max={{@model.user.balance}}>
      </div>
      <div class="form-check">
        <input class="form-check-input mb-2 mt-3" type="checkbox" value="" name="agreeTnc" id="agreeTnc" required>
        <label class="form-check-label mb-2 mt-2" for="agreeTnc" id="agreeTncLabel" style="font-size: 0.8rem">
          I confirm that I have cross-checked the amount and Wallet ID, and understand that this operation cannot be reversed.
        </label>
      </div>
      <div class="form-check">
        <input class="form-check-input mb-2 mt-3" type="checkbox" value="" name="agreeTnc1" id="agreeTnc1" required>
        <label class="form-check-label mb-2 mt-2" for="agreeTnc1" id="agreeTncLabel1" style="font-size: 0.8rem">
          I agree that it may take some time for the amount to get reflected in the Wallet.
        </label>
      </div>
      <div class="text-center">
        <button type="submit" class="btn btn-primary" id="submitForm">Submit</button>
      </div>
    </div>
  </form>
</div>